aboutsummaryrefslogtreecommitdiff
path: root/desktop/nwg-look/nwg-look.SlackBuild
diff options
context:
space:
mode:
authorJay Lanagan <j@lngn.net>2023-03-11 21:21:23 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-03-11 21:21:23 +0700
commit29ad79a29a0aebb3cfe9e2bf7aeab344ad8130b7 (patch)
tree4a55adee9f2b0fc7a22f9bfa26f02e72c7236356 /desktop/nwg-look/nwg-look.SlackBuild
parentfd0b98b24559c5de17407dcc14851db901f8797b (diff)
desktop/nwg-look: Updated for version 0.2.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/nwg-look/nwg-look.SlackBuild')
-rw-r--r--desktop/nwg-look/nwg-look.SlackBuild9
1 files changed, 7 insertions, 2 deletions
diff --git a/desktop/nwg-look/nwg-look.SlackBuild b/desktop/nwg-look/nwg-look.SlackBuild
index 361777c9c7425..f70b1bb6348a4 100644
--- a/desktop/nwg-look/nwg-look.SlackBuild
+++ b/desktop/nwg-look/nwg-look.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=nwg-look
-VERSION=${VERSION:-0.1.4}
+VERSION=${VERSION:-0.2.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -75,7 +75,11 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/v$VERSION.tar.?z || tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
cd $PRGNAM-$VERSION
-tar xvf $CWD/nwg-look-vendor.tar.gz
+tar xvf $CWD/nwg-look-vendor-$VERSION.tar.gz
+
+# lower Go minimum version so we can build on 15.0
+patch -Np1 -i $CWD/gomin.patch || exit 1
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -90,6 +94,7 @@ go build -mod vendor -o "$PRGNAM" *.go || exit 1
install -d $PKG/usr/share/$PRGNAM
install -Dm644 -t $PKG/usr/share/$PRGNAM $TMP/$PRGNAM-$VERSION/stuff/main.glade
install -Dm644 -t $PKG/usr/share/applications $TMP/$PRGNAM-$VERSION/stuff/nwg-look.desktop
+install -Dm644 -t $PKG/usr/share/$PRGNAM/langs $TMP/$PRGNAM-$VERSION/langs/*
install -Dm644 -t $PKG/usr/share/pixmaps $TMP/$PRGNAM-$VERSION/stuff/nwg-look.svg
install -Dm755 -t $PKG/usr/bin $TMP/$PRGNAM-$VERSION/$PRGNAM